package cn.yw.nhyw.nhywjthlgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywjthlglDao")
public class NhywjthlglDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjthlgl(Map map) throws SQLException{
		this.insert("insert_Nhywjthlgl",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywjthlgl(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjthlgl",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjthlgl(Map map) throws SQLException{
		return this.update("update_Nhywjthlgl",map);
	}

	/**
	 * 修改经纬度
	 */
	public Integer updateJthlJdWdByXh(Map map) throws SQLException{
		return this.update("updateJthlJdWdByXh", map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjthlgl(Map map) throws SQLException{
		return this.delete("delete_Nhywjthlgl",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywjthlgl(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjthlgl",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjthlgl(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjthlgl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywjthlgl(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjthlgl",map);
	}

	/**
	 * 查询全部记录
	 */
	public List<Map> query_AllNhywjthlgl(Map map) throws SQLException{
		return this.queryForList("query_Nhywjthlgl", map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywjthlgl(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjthlgl",map);
	}
}
